Extending Qt Creator Manual | BaseHoverHandler

Extending Qt Creator Manual 4.5.2

# BaseHoverHandler Class

(TextEditor::BaseHoverHandler)

- List of all members, including inherited members

## Public Functions

virtual | ~BaseHoverHandler()
virtual void | cancelAsyncCheck()
void | checkPriority(TextEditorWidget *widget, int pos, ReportPriority report)
QString | contextHelpId(TextEditorWidget *widget, int pos)
bool | isAsyncHandler() const
void | setIsAsyncHandler(bool isAsyncHandler)
void | showToolTip(TextEditorWidget *widget, const QPoint &point, bool decorate = true)

## Protected Functions

virtual void | decorateToolTip()
virtual void | identifyMatch(TextEditorWidget *editorWidget, int pos)
virtual void | identifyMatchAsync(TextEditorWidget *editorWidget, int pos, ReportPriority report)
const HelpItem & | lastHelpItemIdentified() const
virtual void | operateTooltip(TextEditorWidget *editorWidget, const QPoint &point)
int | priority() const
void | setLastHelpItemIdentified(const HelpItem &help)
void | setPriority(int priority)
void | setToolTip(const QString &tooltip)
const QString & | toolTip() const

## Member Function Documentation

### `[virtual]` BaseHoverHandler::~BaseHoverHandler()

Destroys the instance of BaseHoverHandler. The destructor is virtual.

### `[virtual]` void BaseHoverHandler::cancelAsyncCheck()

### void BaseHoverHandler::checkPriority(TextEditorWidget *widget, int pos, ReportPriority report)

### QString BaseHoverHandler::contextHelpId(TextEditorWidget *widget, int pos)

### `[virtual protected]` void BaseHoverHandler::decorateToolTip()

### `[virtual protected]` void BaseHoverHandler::identifyMatch(TextEditorWidget *editorWidget, int pos)

### `[virtual protected]` void BaseHoverHandler::identifyMatchAsync(TextEditorWidget *editorWidget, int pos, ReportPriority report)

### bool BaseHoverHandler::isAsyncHandler() const

See also setIsAsyncHandler().

### `[protected]` const HelpItem &BaseHoverHandler::lastHelpItemIdentified() const

See also setLastHelpItemIdentified().

### `[virtual protected]` void BaseHoverHandler::operateTooltip(TextEditorWidget *editorWidget, const QPoint &point)

### `[protected]` int BaseHoverHandler::priority() const

See also setPriority().

### void BaseHoverHandler::setIsAsyncHandler(bool isAsyncHandler)

See also isAsyncHandler().

### `[protected]` void BaseHoverHandler::setLastHelpItemIdentified(const HelpItem &help)

See also lastHelpItemIdentified().

### `[protected]` void BaseHoverHandler::setPriority(int priority)

See also priority().

### `[protected]` void BaseHoverHandler::setToolTip(const QString &tooltip)

See also toolTip().

### void BaseHoverHandler::showToolTip(TextEditorWidget *widget, const QPoint &point, bool decorate = true)

### `[protected]` const QString &BaseHoverHandler::toolTip() const

See also setToolTip().